From 07eb59561bb6dbd2ce6fd0903bbd08d1ba5c76bc Mon Sep 17 00:00:00 2001
From: Bastian Bittorf <bittorf@bluebottle.com>
Date: Wed, 15 Oct 2014 08:23:24 -0400
Subject: [PATCH] [base-files] default_postinst() fix wrong call of group_add

[base-files] default_postinst() fix wrong call of group_add
after 12bae65d07d29854204715cebc1ef1eae237fd9b group_add is
always called. shell scripting can be tricky...

wrong call:
[ -n "$gid" ] && group_exists $name || group_add $name $gid

this leads to a call of 'group_add' when $gid is emtpy:

root@box:~ [ -n "" ] && echo empty || echo full
full

Signed-off-by: Bastian Bittorf <bittorf@bluebottle.com>
---
 package/base-files/files/lib/functions.sh |    7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/package/base-files/files/lib/functions.sh b/package/base-files/files/lib/functions.sh
index 3a5a65d..d53be3e 100755
--- a/package/base-files/files/lib/functions.sh
+++ b/package/base-files/files/lib/functions.sh
@@ -1,5 +1,5 @@
 #!/bin/sh
-# Copyright (C) 2006-2013 OpenWrt.org
+# Copyright (C) 2006-2014 OpenWrt.org
 # Copyright (C) 2006 Fokus Fraunhofer <carsten.tittel@fokus.fraunhofer.de>
 # Copyright (C) 2010 Vertical Communications
 
@@ -193,7 +193,10 @@ default_postinst() {
 				}
 
 				gid=$id
-				[ -n "$gid" ] && group_exists $name || group_add $name $gid
+				[ -n "$gid" ] && {
+					group_exists $name || group_add $name $gid
+				}
+
 				[ -z "$gid" ] && {
 					group_add_next $name
 					gid=$?
-- 
1.7.10.4

